summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMS <ms@taler.net>2023-11-29 18:22:32 +0100
committerMS <ms@taler.net>2023-11-29 18:22:48 +0100
commit0264ba4d1bb4155fd693c63832ee5a4971519cf0 (patch)
treeb3343bf96ff4bb347489c476ae52d7c0462aabd5
parent69479a910a01286a6de518a1b708f3daea275c61 (diff)
downloaddeployment-0264ba4d1bb4155fd693c63832ee5a4971519cf0.tar.gz
deployment-0264ba4d1bb4155fd693c63832ee5a4971519cf0.tar.bz2
deployment-0264ba4d1bb4155fd693c63832ee5a4971519cf0.zip
netzbon: nexus config
-rwxr-xr-xnetzbon/config_libeufin_nexus.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/netzbon/config_libeufin_nexus.sh b/netzbon/config_libeufin_nexus.sh
new file mode 100755
index 0000000..55cafb5
--- /dev/null
+++ b/netzbon/config_libeufin_nexus.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+# This file is in the public domain.
+#
+# This script configure and launches libeufin-bank.
+# The setup provides the admin account at the bank, and
+# another account for the exchange at the bank.
+#
+# The environment must provide the following variables:
+set -eu
+
+# In order to reach the bank, the setup step needs to provide
+# the section [ebics-setup]. This is a manual process that is
+# to be conducted separately.
+
+echo -e "[nexus-postgres]\n"\
+"config = postgresql:///libeufinbank" \
+ >> /etc/libeufin/libeufin-nexus.conf
+
+say "Setting up libeufin-nexus database"
+libeufin-nexus-dbconfig
+
+say "Start nexus tasks..."
+systemctl enable --now libeufin-nexus-ebics-fetch
+systemctl enable --now libeufin-nexus-ebics-submit